Bug 1381241 - Upgrade initialization command should switch Ceph repos from 1.3 to 2.0
Summary: Upgrade initialization command should switch Ceph repos from 1.3 to 2.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Giulio Fidente
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On: 1361177
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-03 13:37 UTC by Giulio Fidente
Modified: 2016-12-29 16:57 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20161003064637.d636e3a.1.2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1361177
Environment:
Last Closed: 2016-12-14 16:07:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Comment 1 Giulio Fidente 2016-10-03 13:51:32 UTC
Until OSPd10 we did not have to switch the Ceph repos because the same version of Ceph (1.3) was used for both OSPd8 and OSPd9.

With OSPd10 we are automating the upgrade to 2.0, together with the OSP upgrade.

Comment 5 Omri Hochman 2016-11-18 13:51:07 UTC
Change to DFG:DF-Lifecycle to help with verification

Comment 6 Omri Hochman 2016-11-21 22:35:09 UTC
Verified with: openstack-tripleo-heat-templates-5.1.0-3.el7ost.noarch  


checking the repos on the controllers post upgrade:
----------------------------------------------------
[root@controller-0 ~]# cat /etc/yum.repos.d/rhos-release-10.repo | grep ceph
[rhelosp-10.0-ceph-2.0-osd]
baseurl=http://pulp.dist.prod.ext.phx2.redhat.com/content/dist/rhel/server/7/7Server/x86_64/ceph-osd/2/os/
[rhelosp-10.0-ceph-2.0-mon]
baseurl=http://pulp.dist.prod.ext.phx2.redhat.com/content/dist/rhel/server/7/7Server/x86_64/ceph-mon/2/os/
[rhelosp-10.0-ceph-2.0-tools]
baseurl=http://pulp.dist.prod.ext.phx2.redhat.com/content/dist/rhel/server/7/7Server/x86_64/ceph-tools/2/os/


root@controller-0 ~]# rpm -qa | grep ceph
python-cephfs-10.2.2-41.el7cp.x86_64
ceph-osd-10.2.2-41.el7cp.x86_64
puppet-ceph-2.2.1-3.el7ost.noarch
ceph-selinux-10.2.2-41.el7cp.x86_64
ceph-common-10.2.2-41.el7cp.x86_64
ceph-mon-10.2.2-41.el7cp.x86_64
libcephfs1-10.2.2-41.el7cp.x86_64
ceph-base-10.2.2-41.el7cp.x86_64

Comment 8 errata-xmlrpc 2016-12-14 16:07:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.